#include <cstddef> // NULL
#include <iomanip>
#include <iostream>
#include <fstream>
#include <string>

#include "derived_1.h"



derived_1::derived_1()
{
}
derived_1::derived_1(const int & _lat, const int & _long, 
		     const std::string & _s1, 
		     const std::string & _s2, 
		     const std::string & _s3,
		     base_observable* observ_p ) : 
  latitude(_lat), longitude(_long), street1(_s1), street2(_s2), street3(_s3), observable_p(observ_p)
{
}



void derived_1::update()
{
  std::cout << "update" << std::endl;
}

void derived_1::show_me() 
{
  std::cout << street1 << " " 
	    << street2 << " " 
	    << street3 << " " 
	    << latitude << " " 
	    << longitude << std::endl;
}
