#include "composite.h"

composite::composite()
{}

composite::~composite()
{

  std::list<base_pointer>::iterator it;
  for( it = comps.begin();
       it !=  comps.end();
       it++ ) {
    delete(*it);
  }
  comps.clear();

}



void composite::append(base *_bs)
{
  comps.insert(comps.end(), _bs);
}

void composite::print()
{
 
  std::cout << "Composite sees the follwoing:" << std::endl; 
  std::list<base_pointer>::iterator it;
  for( it = comps.begin();
       it !=  comps.end();
       it++ ) {
    (*it)->show_me();
  }
  std::cout << "Composite done printing its members." << std::endl;  
}
